Loading...
Searching...
No Matches
gr::fft::fft_shift< T > Class Template Reference

reorder FFT results which are ordered from 0 to 1 in normalized frequency to -0.5 to 0.5 by cyclic shift More...

`#include <gnuradio/fft/fft_shift.h>`

## Public Member Functions

| fft_shift (size_t fft_length)
void | shift (std::vector< T > &v)
void | shift (T *data, size_t fft_len)
void | resize (size_t fft_length)

## Detailed Description

template<typename T>
class gr::fft::fft_shift< T >

reorder FFT results which are ordered from 0 to 1 in normalized frequency to -0.5 to 0.5 by cyclic shift

## Constructor & Destructor Documentation

## fft_shift()

template<typename T>

gr::fft::fft_shift< T >::fft_shift | ( | size_t | fft_length | ) |

inline

## Member Function Documentation

## resize()

template<typename T>

void gr::fft::fft_shift< T >::resize | ( | size_t | fft_length | ) |

inline

if needed adjusts the buffer size to a new fft length

Referenced by shift().

## shift() [1/2]

template<typename T>

void gr::fft::fft_shift< T >::shift | ( | std::vector< T > & | v | ) |

inline

performs the cyclic shift on a vector v

References shift().

Referenced by shift().

## shift() [2/2]

template<typename T>

void gr::fft::fft_shift< T >::shift | ( | T * | data,
|  | size_t | fft_len )

inline

performs the cyclic shift on an array

References resize().

The documentation for this class was generated from the following file:

- fft_shift.h